## org.apache.batik.ext.swing
Class Messages

    java.lang.Object
      org.apache.batik.ext.swing.Messages

public class Messages
extends java.lang.Object

This class manages the message for the Swing extensions.

Field Summary
`protected static LocalizableSupport` `localizableSupport` The localizable support for the error messages.
`protected static java.lang.String` `RESOURCES` The error messages bundle class name.

Constructor Summary
`protected` `Messages()` This class does not need to be instantiated.

Method Summary
`static java.lang.String` `formatMessage(java.lang.String key, java.lang.Object[] args)` Implements `Localizable.formatMessage(String,Object[])`.
`static java.util.Locale` `getLocale()` Implements `Localizable.getLocale()`.
`static java.lang.String` `getString(java.lang.String key)`
`static void` `setLocale(java.util.Locale l)` Implements `Localizable.setLocale(Locale)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final java.lang.String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### localizableSupport

    protected static LocalizableSupport localizableSupport

  The localizable support for the error messages.

Constructor Detail

### Messages

    protected Messages()

  This class does not need to be instantiated.

Method Detail

### setLocale

    public static void setLocale(java.util.Locale l)

  Implements `Localizable.setLocale(Locale)`.

### getLocale

    public static java.util.Locale getLocale()

  Implements `Localizable.getLocale()`.

### formatMessage

    public static java.lang.String formatMessage(java.lang.String key,
                                                 java.lang.Object[] args)
                                          throws java.util.MissingResourceException

  Implements `Localizable.formatMessage(String,Object[])`.

  Throws:
    `java.util.MissingResourceException`

### getString

    public static java.lang.String getString(java.lang.String key)
                                      throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.